Package org.drinkless.tdlib

# Class TdApi.TextCompositionStyleExample

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.TextCompositionStyleExample

Enclosing class:
  `TdApi`

public static class TdApi.TextCompositionStyleExample extends TdApi.Object
Contains an example of text composition style usage.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.FormattedText`
  `resultText`
  The text after the style was applied to the source text.
  `TdApi.FormattedText`
  `sourceText`
  Source text.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TextCompositionStyleExample()`
  Contains an example of text composition style usage.
  `TextCompositionStyleExample(TdApi.FormattedText sourceText, TdApi.FormattedText resultText)`
  Contains an example of text composition style usage.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### sourceText

    public TdApi.FormattedText sourceText
    Source text.

  - ### resultText

    public TdApi.FormattedText resultText
    The text after the style was applied to the source text.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### TextCompositionStyleExample

    public TextCompositionStyleExample()
    Contains an example of text composition style usage.

  - ### TextCompositionStyleExample

    public TextCompositionStyleExample(TdApi.FormattedText sourceText, TdApi.FormattedText resultText)
    Contains an example of text composition style usage.
    Parameters:
      `sourceText` - Source text.
      `resultText` - The text after the style was applied to the source text.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR